Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.openssh
Class RSAKeyInfo

    java.lang.Object
      com.sshtools.j2ssh.openssh.RSAKeyInfo

All Implemented Interfaces:
  KeyInfo

public class RSAKeyInfo
extends java.lang.Object
implements KeyInfo

DOCUMENT ME!

Constructor Summary
`RSAKeyInfo(java.math.BigInteger modulus, java.math.BigInteger publicExponent, java.math.BigInteger privateExponent, java.math.BigInteger primeP, java.math.BigInteger primeQ, java.math.BigInteger primeExponentP, java.math.BigInteger primeExponentQ, java.math.BigInteger crtCoefficient)` Creates a new RSAKeyInfo object.

Method Summary
`java.math.BigInteger` | `getCrtCoefficient()` DOCUMENT ME!
`java.math.BigInteger` | `getModulus()` DOCUMENT ME!
`java.math.BigInteger` | `getPrimeExponentP()` DOCUMENT ME!
`java.math.BigInteger` | `getPrimeExponentQ()` DOCUMENT ME!
`java.math.BigInteger` | `getPrimeP()` DOCUMENT ME!
`java.math.BigInteger` | `getPrimeQ()` DOCUMENT ME!
`java.math.BigInteger` | `getPrivateExponent()` DOCUMENT ME!
`java.security.spec.KeySpec` | `getPrivateKeySpec()` DOCUMENT ME!
`java.math.BigInteger` | `getPublicExponent()` DOCUMENT ME!
`java.security.spec.KeySpec` | `getPublicKeySpec()` DOCUMENT ME!
`static RSAKeyInfo` | `getRSAKeyInfo(SimpleASNReader asn)` DOCUMENT ME!
`static void` | `writeRSAKeyInfo(SimpleASNWriter asn, RSAKeyInfo keyInfo)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAKeyInfo

    public RSAKeyInfo(java.math.BigInteger modulus,
                      java.math.BigInteger publicExponent,
                      java.math.BigInteger privateExponent,
                      java.math.BigInteger primeP,
                      java.math.BigInteger primeQ,
                      java.math.BigInteger primeExponentP,
                      java.math.BigInteger primeExponentQ,
                      java.math.BigInteger crtCoefficient)

  Creates a new RSAKeyInfo object.

Parameters:
  `modulus` - DOCUMENT ME!
  `publicExponent` - DOCUMENT ME!
  `privateExponent` - DOCUMENT ME!
  `primeP` - DOCUMENT ME!
  `primeQ` - DOCUMENT ME!
  `primeExponentP` - DOCUMENT ME!
  `primeExponentQ` - DOCUMENT ME!
  `crtCoefficient` - DOCUMENT ME!

Method Detail

### getPrivateKeySpec

    public java.security.spec.KeySpec getPrivateKeySpec()

  DOCUMENT ME!

  Specified by:
    `getPrivateKeySpec` in interface `KeyInfo`
  Returns:
    DOCUMENT ME!

### getPublicKeySpec

    public java.security.spec.KeySpec getPublicKeySpec()

  DOCUMENT ME!

  Specified by:
    `getPublicKeySpec` in interface `KeyInfo`
  Returns:
    DOCUMENT ME!

### getCrtCoefficient

    public java.math.BigInteger getCrtCoefficient()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getModulus

    public java.math.BigInteger getModulus()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPrimeExponentP

    public java.math.BigInteger getPrimeExponentP()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPrimeExponentQ

    public java.math.BigInteger getPrimeExponentQ()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPrimeP

    public java.math.BigInteger getPrimeP()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPrimeQ

    public java.math.BigInteger getPrimeQ()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPrivateExponent

    public java.math.BigInteger getPrivateExponent()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRSAKeyInfo

    public static RSAKeyInfo getRSAKeyInfo(SimpleASNReader asn)
                                    throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `asn` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### writeRSAKeyInfo

    public static void writeRSAKeyInfo(SimpleASNWriter asn,
                                       RSAKeyInfo keyInfo)

  DOCUMENT ME!

  Parameters:
    `asn` - DOCUMENT ME!
    `keyInfo` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD